Subject: Re: thread safety and next cygwin relase
From: Chris Faylor <[email-masked]>
To: Isselmou Ould-Dellahy <[email-masked]>
Cc: Chris Faylor <[email-masked]>
Date: Tue, 6 Jul 1999 14:59:15 -0400

On Mon, Jul 05, 1999 at 09:54:14PM -0500, Isselmou Ould-Dellahy wrote:
>> I don't plan on turning on thread safety in B21.  I probably will in
>> B22.
>> 
>> The best plan is to compile the program yourself.
>
>To compile which program ? I actually have a small
>minimised java code that contains a jni call to
>"system" function. when I run it the jre crashes.
>
>What program should I compile and use in order
>to make it run?

Sorry.  I should have said "build the DLL".  You have to build the
cygwin DLL, turning on the thread saftey option which you'll see if you
do a 'configure --help'.

If you have no idea what I'm talking about then you either have some
investigation on how to build GNU software ahead of you or you should
wait for the thread-safe release.

Incidentally, if the program is crashing you undoubtedly will find
more information if you run it under gdb.

-chris

--
Want to unsubscribe from this list?
Send a message to [email-masked]